#if defined(__STDC__) || defined (__C2MAN__)
#define _(args) args
#else
#define _(args) ()
#endif

/* find next sequence number */
int next_seq _((int seq /* sequence number */,
                int max /* maxumum number */));

/* find previous sequence number */
int prev_seq _((int seq /* sequence number */,
                int max /* maximum number */));

/* find if a sequence number falls in a range */
int between _((int i    /* number to query */,
               int a    /* lower bound */,
               int b    /* upper bound */));

